Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » ERROR : export - plugin with aspectj support
ERROR : export - plugin with aspectj support [message #70655] Tue, 16 October 2007 11:11 Go to next message
danny foncke is currently offline danny foncke
Messages: 92
Registered: July 2009
Member
when trying to export a plugin with aspectj support I get the following
('normal' plugin export - without aspectj support - works)

> An internal error occurred during: "Export Features".
> java.lang.NullPointerException

eclipse 3.3.1
ajdt 1.5.0.200706070619
full 'update' done

all help appreciated

Danny
Re: ERROR : export - plugin with aspectj support [message #70820 is a reply to message #70655] Tue, 06 November 2007 09:43 Go to previous messageGo to next message
Eclipse User
Originally posted by: erdal.karaca.airbus.com

I have the same problem...

Using
- eclipse 3.3.0 I20070621-1340
- AJDT 1.5.0.200706070619
- AspectJ 1.5.4.200705211336

danny wrote:

> when trying to export a plugin with aspectj support I get the following
> ('normal' plugin export - without aspectj support - works)

>> An internal error occurred during: "Export Features".
>> java.lang.NullPointerException

> eclipse 3.3.1
> ajdt 1.5.0.200706070619
> full 'update' done

> all help appreciated

> Danny
Re: ERROR : export - plugin with aspectj support [message #71017 is a reply to message #70820] Fri, 21 December 2007 09:34 Go to previous messageGo to next message
Eclipse User
Originally posted by: Jens.Borrmann.gillardon.de

Hi,

I have the same problem, too. My configuration is the same as Danny's.
Interestingly, the problem also occurs if aspects are not used at all.

Any help/workaround?

-- Jens
Workaround [message #71077 is a reply to message #70655] Tue, 22 January 2008 14:36 Go to previous message
Eclipse User
Originally posted by: erdal.karaca.airbus.com

still the same bug (?)

tried with newest update:

Version: 1.5.2.200801212057
AspectJ version: 1.6.0.20080122011642


This works for me (when using rcp env as target platform which does not
have ajdt installed):
- temporarly switch your target platform to your eclipse installation
platform and export your plugins (important: it seems that exporting
plugins with aj support assumes that the target platform must have ajdt
installed)

(window - prefs - pde - target platform)
Re: ERROR : export - plugin with aspectj support [message #596496 is a reply to message #70655] Tue, 06 November 2007 09:43 Go to previous message
Erdal Karaca is currently offline Erdal Karaca
Messages: 160
Registered: July 2009
Senior Member
I have the same problem...

Using
- eclipse 3.3.0 I20070621-1340
- AJDT 1.5.0.200706070619
- AspectJ 1.5.4.200705211336

danny wrote:

> when trying to export a plugin with aspectj support I get the following
> ('normal' plugin export - without aspectj support - works)

>> An internal error occurred during: "Export Features".
>> java.lang.NullPointerException

> eclipse 3.3.1
> ajdt 1.5.0.200706070619
> full 'update' done

> all help appreciated

> Danny
Re: ERROR : export - plugin with aspectj support [message #596568 is a reply to message #70820] Fri, 21 December 2007 09:34 Go to previous message
Eclipse User
Originally posted by: Jens.Borrmann.gillardon.de

Hi,

I have the same problem, too. My configuration is the same as Danny's.
Interestingly, the problem also occurs if aspects are not used at all.

Any help/workaround?

-- Jens
Workaround [message #596613 is a reply to message #70655] Tue, 22 January 2008 14:36 Go to previous message
Erdal Karaca is currently offline Erdal Karaca
Messages: 160
Registered: July 2009
Senior Member
still the same bug (?)

tried with newest update:

Version: 1.5.2.200801212057
AspectJ version: 1.6.0.20080122011642


This works for me (when using rcp env as target platform which does not
have ajdt installed):
- temporarly switch your target platform to your eclipse installation
platform and export your plugins (important: it seems that exporting
plugins with aj support assumes that the target platform must have ajdt
installed)

(window - prefs - pde - target platform)
Previous Topic:Weaving an aspect into single class in jar
Next Topic:Using AspectJ with PDE Builder
Goto Forum:
  


Current Time: Mon Oct 20 21:16:11 GMT 2014

Powered by FUDForum. Page generated in 0.01844 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software